Bug 11904 - EXEC: Executing JSP outside webmodule throws NPE
EXEC: Executing JSP outside webmodule throws NPE
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Code
3.x
PC Windows ME/2000
: P1 (vote)
: TBD
Assigned To: issues@javaee
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-03 12:28 UTC by L Martinek
Modified: 2003-07-02 08:27 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description L Martinek 2001-05-03 12:28:32 UTC
[010502_1]

Create some JSP in normal filesystem (not webmodule).
Execute it. Following exception is thrown. 


Thu May 03 13:05:06 GMT+02:00 2001: java.lang.NullPointerException: Posted 
StackTrace
Annotation: Exception occurred in Request Processor
org.openide.util.RequestProcessor$Holder: Posted StackTrace(task 
org.netbeans.core.ModuleActions$1@6e0216 [-1563, 1, -1])
        at 
org.openide.util.RequestProcessor$Task.createHolder(RequestProcessor.java:322)
        at org.openide.util.RequestProcessor.post(RequestProcessor.java:100)
        at org.openide.util.RequestProcessor.post(RequestProcessor.java:73)
        at org.netbeans.core.ModuleActions.invokeAction(ModuleActions.java:89)
        at 
org.openide.awt.Actions$ButtonBridge.actionPerformed(Actions.java:351)
        at 
javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1450)
        at 
javax.swing.AbstractButton$ForwardActionEvents.actionPerformed(AbstractButton.ja
va:1504)
        at 
javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:378)
        at 
org.openide.awt.EnabledButtonModel.setPressed(EnabledButtonModel.java:83)
        at 
javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.jav
a:216)
        at 
java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:230)
        at java.awt.Component.processMouseEvent(Component.java:3717)
        at java.awt.Component.processEvent(Component.java:3546)
        at java.awt.Container.processEvent(Container.java:1164)
        at java.awt.Component.dispatchEventImpl(Component.java:2595)
        at java.awt.Container.dispatchEventImpl(Container.java:1213)
        at java.awt.Component.dispatchEvent(Component.java:2499)
        at 
java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:2451)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:2216)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:2125)
        at java.awt.Container.dispatchEventImpl(Container.java:1200)
        at java.awt.Window.dispatchEventImpl(Window.java:912)
        at java.awt.Component.dispatchEvent(Component.java:2499)
[catch] at java.awt.EventQueue.dispatchEvent(EventQueue.java:319)
        at 

java.awt.EventDispatchThread.pumpOneEvent(EventDispatchThread.java:103)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:84)
 
Thu May 03 13:05:06 GMT+02:00 2001: java.lang.NullPointerException: null
java.lang.NullPointerException
        at 
org.netbeans.modules.web.tomcat.TomcatServerInstance.listenerRegistering(TomcatS
erverInstance.java:121)
        at 
org.netbeans.modules.web.tomcat.TomcatServerInstance.setTestComponent(TomcatServ
erInstance.java:95)
        at 
org.netbeans.modules.web.execution.WebDefaultExecPerformer.modulesRegistration(W
ebDefaultExecPerformer.java:138)
        at 
org.netbeans.modules.j2ee.impl.DefaultServerInstanceManager.startExecution(Defau
ltServerInstanceManager.java:113)
        at 
org.netbeans.modules.j2ee.impl.DefaultServerInstanceManager.serverInstanceStartE
xecution(DefaultServerInstanceManager.java:72)
        at 
org.netbeans.modules.j2ee.impl.DefaultExecPerformer.startExecution(DefaultExecPe
rformer.java:70)
        at 
org.netbeans.modules.j2ee.impl.ServerExecutor.execute(ServerExecutor.java:55)
        at 
org.netbeans.modules.j2ee.impl.ServerExecutor.execute(ServerExecutor.java:42)
        at 
org.netbeans.modules.j2ee.impl.ExecSupport.start(ExecSupport.java:125)
        at 
org.netbeans.modules.j2ee.impl.ServerExecSupport.start(ServerExecSupport.java:11
8)
        at org.openide.actions.ExecuteAction.execute(ExecuteAction.java:140)
        at org.openide.actions.ExecuteAction.execute(ExecuteAction.java:237)
        at 
org.openide.actions.ExecuteAction.performAction(ExecuteAction.java:102)
        at org.openide.util.actions.NodeAction.performAction(NodeAction.java:92)
        at 
org.openide.util.actions.NodeAction.actionPerformed(NodeAction.java:83)
        at org.netbeans.core.ModuleActions$1.run(ModuleActions.java:76)
        at org.openide.util.Task.run(Task.java:124)
[catch] at 
org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcessor.java:626)
Comment 1 Petr Jiricka 2001-05-06 12:21:33 UTC
Fixed by handling this case in WebApplicationImpl.
Comment 2 Quality Engineering 2003-07-02 08:27:26 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo